/*========= ナビゲーションのためのCSS ===============*/

#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
	top:-310%;
    left:0;
	width:100%;
    height: 100vh;/*ナビの高さ*/
	background:#fff;
    /*動き*/
	transition: all 0.6s;
    overflow: scroll;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive{
    top: 0;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list{
    /*ナビの数が増えた場合縦スクロール*/
    z-index: 999; /*ボタンを最前面に*/
    width: 100%;
    height: 100vh;/*表示する高さ*/
    -webkit-overflow-scrolling: touch;
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: relative;
    z-index: 999;
    padding: 0% 5% 5%;
    transition: transform 2s ease;
    background: #fff;
    width: 55%;
    margin: 0 auto;
}

/*リストのレイアウト設定*/

#g-nav li{
	list-style: none;
}

#g-nav .g-nav-l{
	width: 45%;
    padding-top: 5%;
}
#g-nav .g-nav-r{
	width: 45%;
    padding-top: 5%;
    float: right;
}
#g-nav .g-nav-mt{
    padding-top: 5%;
}
#g-nav .g-nav-center{
    width: 55%;
    margin: 10% 0 0;
}

#g-nav li a{
	color: #333;
	padding:10px 0;
	display: block;
	font-size: 1.5rem;
}
#g-nav li a:hover{
	color: #707070;
}

/*========= ボタンのためのCSS ===============*/
.openbtn{
	position: fixed;
    z-index: 9999;
    right: 0px;
    cursor: pointer;
    width: 55px;
    height: 55px;
    background: #fff;
}
	
/*×に変化*/	
.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
	background-color: #666;
  	width: 50%;
  }

.openbtn span:nth-of-type(1) {
	top:15px;	
}

.openbtn span:nth-of-type(2) {
	top:23px;
}

.openbtn span:nth-of-type(3) {
	top:31px;
}

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
}

li.hum-menu-title {
    padding-top: 5vh;
}

.hum-menu-title a{
    color: #707070;
    font-size: 3rem!important;
    padding-left: 0;
}

@media screen and (max-width: 500px) {
    #g-nav .g-nav-center {
    width: 70%;
    margin: 30% 0 0;
}
    #g-nav ul {
    width: 100%;
}
    #g-nav li {
    padding-bottom: 1vh;
}
    #g-nav li a {
    padding: 0 0 10px;
    font-size: 1.2rem;
}
    .hum-menu-title a {
    font-size: 2rem!important;
    padding-top: 2rem;
    padding-bottom: 1rem!important;
}
    .openbtn{
    width: 65px;
    height: 60px;
}
    openbtn span {
    width: 55%;
}

.openbtn span:nth-of-type(2) {
	top:25px;
}

.openbtn span:nth-of-type(3) {
	top:36px;
}

}
